Get Company Schedule Compression Trend

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v2/company-trends/schedule-compression

Get Company Schedule Compression Trend (V2)

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Query parameters

  • periodType string Required

    Values are BY_PERIOD or BY_MONTH.

  • filters array[string]
  • projectMetricFilter string

    Values are PROJECTS_DELAYED, PROJECTS_ON_TRACK, PROJECTS_NEEDING_UPDATES, or PROJECTS_LOW_QUALITY.

Responses

  • 200 */*

    OK

    One of:
GET /public/v2/company-trends/schedule-compression
curl \
 --request GET 'https://live.smartpmtech.com/public/v2/company-trends/schedule-compression?periodType=BY_PERIOD' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "value": {
      "value": 42,
      "risk": "GOOD",
      "index": 42,
      "mark": "string"
    },
    "projectCount": 42,
    "scheduleCount": 42,
    "type": "string",
    "interval": "2026-05-04"
  }
]